 HTML 3.2 Element Listing

This HTML Reference was supplied to Sausage Software courtesy of Sean Bolt . (sbolt@pobox.com)

A

A

ADDRESS

APPLET

AREA

B

B

BASE

BASEFONT

BIG

BLOCKQUOTE

BODY

BR

C

CAPTION

CENTER

CITE

CODE

D

DD

DFN

DIR

DIV

DL

DT

E

EM

F

FONT

FORM

G

H1

H2

H3

H4

H5

H6

HEAD

HR

HTML

H

H1

H2

H3

H4

H5

H6

HEAD

HR

HTML

I

I

IMG

INPUT

ISINDEX

J

K

KBD

L

LI

LINK

LISTING

M

MAP

MENU

META

N

O

OL

OPTION

P

P

PARAM

PLAINTEXT

PRE

Q

R

S

SAMP

SCRIPT

SELECT

SMALL

STRIKE

STRONG

STYLE

SUB

SUP

T

TABLE

TD

TEXTAREA

TEXTFLOW

TH

TITLE

TR

TT

U

U

UL

V

VAR

W

X

XMP

Y

Z


A

Description:
The A container element is used to define a hypertext link and/or named location for the destination of a hypertext link. The A element must also have either a HREF or NAME attribute.

Minimum attributes:
<A>

Maximum attributes:

<A HREF=cdata NAME=cdata REL=cdata REV=cdata TITLE=cdata>

Attribute reference:

HREF	The destination of the anchor in URL notation.
NAME	Defines a named anchor for use as a target by HREF’s.
REL	Defines the forward relationship of the HREF to the anchor.
REV	Defines the reverse relationship of the anchor to the HREF.
TITLE	Informational only, used to describe the anchor.
Elements allowed within:
APPLET   B   BASE  BIG  BR  CITE  CODE   DFN   EM   FONT  I  IMG  INPUT  KBD  MAP  SAMP  SCRIPT  SELECT  SMALL    STRIKE  STRONG  SUB  SUP  TEXTAREA  TT  U  VAR

Allowed within elements:
 ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY  CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


ADDRESS

Description:
The ADDRESS container element specifies such information as address, signature and authorship for the current document and is typically placed at the top or bottom of the document.

Minimum attributes:
<ADDRESS>

Maximum attributes:
<ADDRESS>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   P   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DIV   FORM   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


APPLET

Description:
The APPLET container element allows for the inclusion of JAVA applets into the document. A JAVA aware browser will ignore everything in the content of the APPLET except the PARAM elements. Unaware browsers, or those with JAVA disabled, process the content of the APPLET ignoring PARAM elements.

Minimum attributes:
<APPLET>

Maximum attributes:
<APPLET ALIGN=top|middle|bottom|left|right ALT=cdata CODE=cdata CODEBASE=cdata HEIGHT=number HSPACE=number NAME=cdata VSPACE=number WIDTH=number>

Attribute reference:

ALIGN	Alignment of the APPLET window: top - Window top is on the text baseline  middle - Window is centered vertically on the baseline  bottom - Window bottom is on the text baseline  left - Window is flush with the left margin  right - Window is flush with the right margin
ALT	Alternate text to display if the browser can't/won't run the APPLET.
CODE	The name of the compiled JAVA subclass to execute; must be relative to CODEBASE.
CODEBASE	Alternate base location to load the CODE from BASE URL.
HEIGHT	Height of the APPLET window in pixels.
HSPACE	Amount of whitespace, in pixels, on each side of the APPLET.
NAME	Name for this instance of the APPLET, for communication with other APPLETs.
VSPACE	Amount of whitespace, in pixels, above and below the APPLET.
WIDTH	Width of the APPLET window in pixels.
Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   PARAM   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


AREA

Description:
The AREA element is used to define a single area of an image that is part of a client-side image MAP. If multiple AREAs within the same MAP define overlapping areas, the first encountered takes precedence.

Minimum attributes:
<AREA>

Maximum attributes:
<AREA ALT=cdata COORDS=cdata HREF=cdata NOHREF SHAPE=rect|circle|poly>

Attribute reference:

ALT	Text to be displayed on the status line or if the browser is text only.
COORDS	Comma separated coordinate list dependent on SHAPE  X1,Y1,X2,Y2 - For SHAPE=rect; upper left corner X1,Y1 and lower right corner X2,Y2 X,Y,R - For SHAPE=circle; centered at X,Y with radius R. X1,Y1,X2,Y2,...,Xn,Yn - For SHAPE=poly; ordered pairs defining a closed polygon.
HREF	Destination of the AREA in URL notation.
NOHREF	Denotes that the AREA has no associated action.
SHAPE	Shape of the AREA being defined [rect]:  rect - Rectangle  circle - Circle  poly - Closed polygon  default - Default when no other AREA is selected.
Elements allowed within:
Not Applicable

Allowed within elements:
MAP

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


B

Description:
The B container element denotes that the physical rendering of the enclosed text should be changed to a boldface style.

Minimum attributes:
<B>

Maximum attributes:
<B>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


BASE

Description:
The BASE element specifies the absolute URL of the document, such that relative and partial URL’s within the document will be relative to this BASE address. The default BASE address is the URL used to retrieve the document.

Minimum attributes:
<BASE>

Maximum attributes:
<BASE HREF=cdata>

Attribute reference:

HREF	The new BASE address of the document.
Elements allowed within:
Not Applicable

Allowed within elements:
HEAD

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


BASEFONT

Description:
The BASEFONT element sets the base font size for the document. Subsequent FONT changes that use the relative change convention will be relative to the most recent BASEFONT. Valid base sizes are: 1, 2, 3, 4, 5, 6, 7; the default being 3.

Minimum attributes:
<BASEFONT>

Maximum attributes:
<BASEFONT SIZE=cdata>

Attribute reference:

SIZE	Size of the base document font.
Elements allowed within:
Not Applicable

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


BIG

Description:
The BIG container element denotes that the physical rendering of the enclosed text should be changed to larger font compared with the current font.

Minimum attributes:
<BIG>

Maximum attributes:
<BIG>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


BLOCKQUOTE

Description:
The BLOCKQUOTE container element denotes that the enclosed text represents a block quote; usually indented.

Minimum attributes:
<BLOCKQUOTE>

Maximum attributes:
<BLOCKQUOTE>

Attribute reference:
Not Applicable

Elements allowed within:
A   ADDRESS   APPLET   B   BASEFONT   BIG   BLOCKQUOTE   BR   CENTER   CITE   CODE   DFN   DIR   DIV   DL   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   HR   I   IMG   INPUT   ISINDEX   KBD   LISTING   MAP   MENU   OL   P   PRE   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TABLE   TEXTAREA   TT   U   UL   VAR   XMP

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


BODY

Description:
The BODY element encloses the main content of the document, including headings, paragraphs, lists, and images. Note that both the start and end tag can always be safely omitted as they can be readily inferred by the browser.

Minimum attributes:
<BODY>

Maximum attributes:
<BODY ALINK=cdata BACKGROUND=cdata BGCOLOR=cdata LINK=cdata TEXT=cdata VLINK=cdata>

Attribute reference:

ALINK	Color for an activated link.
BACKGROUND	URL of the image to be used as a background.
BGCOLOR	Color for the document background.
LINK	Color for a normal link.
TEXT	Color for normal text.
VLINK	Color for a visited link.
Elements allowed within:
A   ADDRESS   APPLET   B   BASEFONT   BIG   BLOCKQUOTE   BR   CENTER   CITE   CODE   DFN   DIR   DIV   DL   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   HR   I   IMG   INPUT   ISINDEX   KBD   LISTING   MAP   MENU   OL   P   PRE   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TABLE   TEXTAREA   TT   U   UL   VAR   XMP

Allowed within elements:
HTML

Tag requirements:
Open: Optional
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


BR

Description:
The BR element is used to force a line break.

Minimum attributes:
<BR>

Maximum attributes:
<BR CLEAR=left|all|right|none>

Attribute reference:

CLEAR	Allows you to move below a table or image unconditionally: left - Move down until the left margin is clear  all - Move down until both margins are clear  right - Move down until the right margin is clear  none - Do not attempt to clear either margin
Elements allowed within:
Not Applicable

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


CAPTION

Description:
The CAPTION container element is used to create labels for a TABLE

Minimum attributes:
<CAPTION>

Maximum attributes:
<CAPTION ALIGN=top|bottom>

Attribute reference:

ALIGN	Position of the CAPTION relative to the TABLE:  top - Places caption at the top of the screen. bottom - Places caption at the bottom of the screen.
Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
TABLE

Tag requirements:
Open: Required
Close: Required


CENTER

Description:
The CENTER container element denotes that the enclosed text should be horizontally centered between the current left and right margins. The CENTER element is really just shorthand for DIV with an ALIGN=center and is only included because of widespread deployment.

Minimum attributes:
<CENTER>

Maximum attributes:
<CENTER>

Attribute reference:
Not Applicable

Elements allowed within:
A   ADDRESS   APPLET   B   BASEFONT   BIG   BLOCKQUOTE   BR   CENTER   CITE   CODE   DFN   DIR   DIV   DL   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   HR   I   IMG   INPUT   ISINDEX   KBD   LISTING   MAP   MENU   OL   P   PRE   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TABLE   TEXTAREA   TT   U   UL   VAR   XMP

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


CITE

Description:
The CITE container element denotes that the character rendering of the enclosed text should be changed to represent a citation or reference to another source.

Minimum attributes:
<CITE>

Maximum attributes:
<CITE>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A    ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5 H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


CODE

Description:
The CODE container element denotes that the character rendering of the enclosed text should be changed to represent an example of program code. The CODE element is only intended for short words or phrases, PRE is recommended for larger content.

Minimum attributes:
<CODE>

Maximum attributes:
<CODE>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


DD

Description:
The DD element specifies a term definition used within a DL list.

Minimum attributes:
<DD>

Maximum attributes:
<DD>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BLOCKQUOTE   BR   CENTER   CITE   CODE   DFN   DIR   DIV   DL   EM   FONT   FORM   HR   I   IMG   INPUT   ISINDEX   KBD   LISTING   MAP   MENU   OL   P   PRE   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TABLE   TEXTAREA   TT   U   UL   VAR   XMP

Allowed within elements:
DL

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


DFN

Description:
The DFN container element denotes that the character rendering of the enclosed text should be changed to represent the defining instance of a term.

Minimum attributes:
<DFN>

Maximum attributes:
<DFN>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


DIR

Description:
The DIR container element is used to represent a list of short items, typically up to 20 characters each. Items in a DIR list should be displayed in columns, typically 24 characters wide. (Note: In practice this element is rendered the same as UL).

Minimum attributes:
<DIR>

Maximum attributes:
<DIR COMPACT>

Attribute reference:

COMPACT	Indicates the browser should use reduced interim spacing
Elements allowed within:
LI

Allowed within elements:
BODY   DD   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


DIV

Description:
The DIV container element denotes a change in the horizontal alignment of the enclosed material. The CENTER element is really just shorthand for DIV with an ALIGN=center.

Minimum attributes:
<DIV>

Maximum attributes:
<DIV ALIGN=left|center|right>

Attribute reference:

ALIGN	Horizontal alignment of material within the division  left - Content is flush with the left margin  center - Content is centered between margins  right - Content is flush with the right margin
Elements allowed within:
A   ADDRESS   APPLET   B   BASEFONT   BIG   BLOCKQUOTE   BR   CENTER   CITE   CODE   DFN   DIR   DIV   DL   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   HR   I   IMG   INPUT   ISINDEX   KBD   LISTING   MAP   MENU   OL   P   PRE   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TABLE   TEXTAREA   TT   U   UL   VAR   XMP

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


DL

Description:
The DL container element defines a definition list, which is composed of term, specified by DT, and corresponding definition specified by DD.

Minimum attributes:
<DL>

Maximum attributes:
<DL COMPACT>

Attribute reference:

COMPACT	Indicates the browser should use reduced interim spacing.
Elements allowed within:
DD   DT

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


DT

Description:
The DT element specifies a term name in a DL list.

Minimum attributes:
<DT>

Maximum attributes:
<DT>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
DL

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


EM

Description:
The EM container element denotes that the character rendering of the enclosed text should be changed to represent basic typographic emphasis; usually rendered in italic.

Minimum attributes:
<EM>

Maximum attributes:
<EM>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1  H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


FONT

Description:
The FONT container element provides a means of changing both the font size and the color of the enclosed text. Valid sizes are: 1, 2, 3, 4, 5, 6, 7; or plus '+' or minus '-' from the base font size.

Minimum attributes:
<FONT>

Maximum attributes:
<FONT COLOR=cdata SIZE=cdata>

Attribute reference:

COLOR	Color of the font.
SIZE	Size of the font.
Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


FORM

Description:
The FORM container element is used to create fill-out forms for user input, which is then submitted to the handler specified by ACTION.

Minimum attributes:
<FORM>

Maximum attributes:
<FORM ACTION=cdata ENCTYPE=cdata METHOD=GET|POST>

Attribute reference:

ACTION	URL specifying the location to submit the contents.
ENCTYPE	MIME content type for encoding data.
METHOD	Variations in the protocol/method to send form contents: GET - Information is passed via the environment variable QUERY_STRING  POST - Information is passed via the program's STDIN.
Elements allowed within:
A   ADDRESS   APPLET   B   BASEFONT   BIG   BLOCKQUOTE   BR   CENTER   CITE   CODE   DFN   DIR   DIV   DL   EM   FONT   H1   H2   H3   H4   H5   H6   HR   I   IMG   INPUT   ISINDEX   KBD   LISTING   MAP   MENU   OL   P   PRE   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TABLE   TEXTAREA   TT   U   UL   VAR   XMP

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


H1

Description:
The H1 container element specifies text to be used as a header (font changes, paragraph breaks before and after, etc). The H1 header is the most prominent.

Minimum attributes:
<H1>

Maximum attributes:
<H1 ALIGN=left|center|right>

Attribute reference:

ALIGN	Horizontal alignment of the header: left - Header is flush with the left margin  center - Header is centered between margins  right - Header is flush with the right margin.
Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DIV   FORM   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


H2

Description:
The H2 container element specifies text to be used as a header (font changes, paragraph breaks before and after, etc). The H2 header is more prominent than H3, but less prominent than H1.

Minimum attributes:
<H2>

Maximum attributes:
<H2 ALIGN=left|center|right>

Attribute reference:

ALIGN	Horizontal alignment of the header: left - Header is flush with the left margin  center - Header is centered between margins  right - Header is flush with the right margin.
Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DIV   FORM   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


H3

Description:
The H3 container element specifies text to be used as a header (font changes, paragraph breaks before and after, etc). The H3 header is more prominent than H4, but less prominent than H2.

Minimum attributes:
<H3>

Maximum attributes:
<H3 ALIGN=left|center|right>

Attribute reference:

ALIGN	Horizontal alignment of the header: left - Header is flush with the left margin. center - Header is centered between margins.  right - Header is flush with the right margin.
Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT    SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DIV   FORM   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


H4

Description:
The H4 container element specifies text to be used as a header (font changes, paragraph breaks before and after, etc). The H4 header is more prominent than H5, but less prominent than H3.

Minimum attributes:
<H4>

Maximum attributes:
<H4 ALIGN=left|center|right>

Attribute reference:

ALIGN	Horizontal alignment of the header: left - Header is flush with the left margin. center - Header is centered between margins. right - Header is flush with the right margin.
Elements allowed within:
A  APPLET  B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DIV   FORM   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


H5

Description:
The H5 container element specifies text to be used as a header (font changes, paragraph breaks before and after, etc). The H5 header is more prominent than H6, but less prominent than H4.

Minimum attributes:
<H5>

Maximum attributes:
<H5 ALIGN=left|center|right>

Attribute reference:

ALIGN	Horizontal alignment of the header: left - Header is flush with the left margin. center - Header is centered between margins. right - Header is flush with the right margin.
Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DIV   FORM   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


H6

Description:
The H6 container element specifies text to be used as a header (font changes, paragraph breaks before and after, etc). The H6 is the least prominent.

Minimum attributes:
<H6>

Maximum attributes:
<H6 ALIGN=left|center|right>

Attribute reference:

ALIGN	Horizontal alignment of the header:  left - Header is flush with the left margin. center - Header is centered between margins. right - Header is flush with the right margin.
Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DIV   FORM   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


HEAD

Description:
The HEAD element contains information about the document; such as the title and meta-information. Note that both the start and end tag can always be safely omitted as they can be readily inferred by the browser.

Minimum attributes:
<HEAD>

Maximum attributes:
<HEAD>

Attribute reference:
Not Applicable

Elements allowed within:
BASE   ISINDEX   LINK   META   SCRIPT   STYLE   TITLE

Allowed within elements:
HTML

Tag requirements:
Open: Optional
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


HR

Description:
The HR element is used for horizontal rules (lines) that act as dividers between sections.

Minimum attributes:
<HR>

Maximum attributes:
<HR ALIGN=left|right|center NOSHADE SIZE=number WIDTH=cdata>

Attribute reference:

ALIGN	Horizontal alignment of the rule: left - Rule is flush with the left margin. center - Rule is centered between margins. right - Rule is flush with the right margin.
NOSHADE	Specifies that the rule should be monotone and not shaded.
SIZE	Thickness of the rule in pixels.
WIDTH	Width of the rule in standard units.
Elements allowed within:
Not Applicable

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI  TD   TH

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


HTML

Description:
The HTML element is intended to enclose the entire HTML segment of the document. All other elements should be placed between the HTML element's opening and closing tags. Note that both the start and end tag can always be safely omitted as they can be readily inferred by the browser.

Minimum attributes:
<HTML>

Maximum attributes:
<HTML VERSION=cdata>

Attribute reference:

VERSION	SGML entity string specifying the version.
Elements allowed within:
BODY   HEAD   PLAINTEXT

Allowed within elements:
Not Applicable

Tag requirements:
Open: Optional
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


I

Description:
The I container element denotes that the physical rendering of the enclosed text should be changed to an italic style.

Minimum attributes:
<I>

Maximum attributes:
<I>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


IMG

Description:
The IMG tag is used to incorporate in-line graphics into the document.

Minimum attributes:
<IMG>

Maximum attributes:
<IMG ALIGN=top|middle|bottom|left|right ALT=cdata BORDER=number HEIGHT=number HSPACE=number ISMAP SRC=cdata USEMAP=cdata VSPACE=number WIDTH=number>

Attribute reference:

ALIGN	Alignment of the image with the text baseline: top - Top of image is flush with the baseline.  middle - Image is centered vertically on the baseline.  bottom - Bottom of image is flush with the baseline. left - Image is flush with the left margin. right - Image is flush with the right margin.
ALT	Text to be displayed if the browser is text-only.
BORDER	Width, in pixels, of the border surrounding the image.
HEIGHT	Height of the image in pixels.
HSPACE	Amount of whitespace, in pixels, on each side of the IMG.
ISMAP	Used to identify the image as an image map.
SRC	URL of the image to be embedded.
USEMAP	URL of the client-side image map to use for translation.
VSPACE	Amount of whitespace, in pixels, above and below the IMG.
WIDTH	Width of the image in pixels.
Elements allowed within:
Not Applicable

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


INPUT

Description:
The INPUT element is used within a FORM to provide a mechanism for the user to enter information.

Minimum attributes:
<INPUT>

Maximum attributes:
<INPUT ALIGN=top|middle|bottom|left|right CHECKED MAXLENGTH=number NAME=cdata SIZE=cdata SRC=cdata TYPE=TEXT|PASSWORD|CHECKBOX|RADIO|SUBMIT|RESET|FILE|HIDDEN|IMAGE VALUE=cdata>

Attribute reference:

ALIGN	Controls the image positioning of fields with SRC attributes: top - Top of image is flush with the baseline.  middle - Image is centered vertically on the baseline.  bottom - Bottom of image is flush with the baseline. left - Image is flush with the left margin. right - Image is flush with the right margin.
CHECKED	Initializes a RADIO or CHECKBOX to be checked.
MAXLENGTH	Maximum length of TEXT and PASSWORD entries.
NAME	Assigns a name to the field data when submitting.
SIZE	Maximum visible width of TEXT and PASSWORD.
SRC	URL for an image to use with SCRIBBLE, IMAGE, SUBMIT or RESET.
TYPE	Specifies the type of the INPUT field: TEXT- Used for input of short text strings. PASSWORD - Characters are echoed as '*' or ' '. CHECKBOX - Checkbox field, requires NAME and VALUE attributes. RADIO - Radio button, requires NAME and VALUE attributes. SUBMIT - Causes the FORM contents to be submitted via ACTION. RESET - Causes the FORM contents to be reset to their initial state.  FILE - Attaches files to also be submitted. HIDDEN - Not displayed, used to pass information. IMAGE - Acts like SUBMIT, but includes where the user clicked.
VALUE	Used to initialize TEXT, RANGE, and HIDDEN fields.
Elements allowed within:
Not Applicable

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


ISINDEX

Description:
The ISINDEX element informs the HTML browser that the document is an index document. As well as reading it, the reader may use a keyword search. The default prompt supplied by the agent is usually, "This is a searchable index. Enter search keyword:". Usually the query is sent to the BASE URL of the document.

Minimum attributes:
<ISINDEX>

Maximum attributes:
<ISINDEX PROMPT=cdata>

Attribute reference:

PROMPT	Text of the new prompt string to use.
Elements allowed within:
Not Applicable

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   HEAD   LI   TD   TH

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


KBD

Description:
The KBD container element denotes that the character rendering of the enclosed text should be changed to represent keyboard input.

Minimum attributes:
<KBD>

Maximum attributes:
<KBD>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


LI

Description:
The LI element is used to define a list item in a list (DIR, MENU, OL, UL).

Minimum attributes:
<LI>

Maximum attributes:
<LI TYPE=cdata VALUE=number>

Attribute reference:

TYPE	Type of bullet to be used for the item: disc - Items are bulleted with solid discs. square - Items are bulleted with squares. circle - Items are bulleted with open circles.  1 - Items are bulleted with numbers. a - Items are bulleted with lower case letters. A - Items are bulleted with upper case letters.  i - Items are bulleted with lower case Roman numerals. I - Items are bulleted with upper case Roman numerals.
VALUE	Starting 'number' for the first item in the list: NUMBER - Number for the first item; converted as needed.
Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BLOCKQUOTE   BR   CENTER   CITE   CODE   DFN   DIR   DIV   DL   EM   FONT   FORM   HR   I   IMG   INPUT   ISINDEX   KBD   LISTING   MAP   MENU   OL   P   PRE   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TABLE   TEXTAREA   TT   U   UL   VAR   XMP

Allowed within elements:
DIR   MENU   OL   UL

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


LINK

Description:
The LINK element indicates a relationship between the document and some other object. A document may have any number of LINK elements. A link from document A to document B with REV=relation is the same as a link from B to A with REL=relation.

Minimum attributes:
<LINK>

Maximum attributes:
<LINK HREF=cdata REL=cdata REV=cdata TITLE=cdata>

Attribute reference:

HREF	URL of the object being defined.
REL	Defines a forward relationship.
REV	Defines a reverse relationship.
TITLE	Used to label a bookmark.
Elements allowed within:
Not Applicable

Allowed within elements:
HEAD

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


LISTING

Description:
The LISTING container element specifies that the enclosed text should be rendered in a fixed-width font and that whitespace should be interpreted literally. Note that the LISTING element has effectively been superseded by PRE and is only included for backwards compatibility.

Minimum attributes:
<LISTING>

Maximum attributes:
<LISTING>

Attribute reference:
Not Applicable

Elements allowed within:
Not Applicable

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


MAP

Description:
The MAP container element is used to define a client-side image map for use as a reference in the USEMAP attribute of the IMG element.

Minimum attributes:
<MAP>

Maximum attributes:
<MAP NAME=cdata>

Attribute reference:

NAME	Name to associate with the defined MAP.
Elements allowed within:
AREA

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


MENU

Description:
The MENU container element is a list of items with one line per item and is typically more compact than the style of an UL.

Minimum attributes:
<MENU>

Maximum attributes:
<MENU COMPACT>

Attribute reference:

COMPACT	Indicates the browser should use reduced interim spacing.
Elements allowed within:
LI

Allowed within elements:
BODY   DD   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


META

Description:
The META element is used within the HEAD element to embed document meta-information not defined by other HTML elements. Such information can be extracted by servers/clients. If the NAME attribute is not present it should be assumed to be equal to the value of HTTP-EQUIV. Interpretation of the HTTP response header is browser dependent.

Minimum attributes:
<META>

Maximum attributes:
<META CONTENT=cdata HTTP-EQUIV=name NAME=name>

Attribute reference:

CONTENT	Supplies the value for a named property.
HTTP-EQUIV	Binds the element to the HTTP response header of the same name.
NAME	Names a property (eg, author, publication date, etc).
Elements allowed within:
Not Applicable

Allowed within elements:
HEAD

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


OL

Description:
The OL container element is used to create an ordered list of items, usually numbered, though a different TYPE of enumeration may be used.

Minimum attributes:
<OL>

Maximum attributes:
<OL COMPACT START=number TYPE=cdata>

Attribute reference:

COMPACT	Indicates the browser should use reduced interim spacing.
START	Starting number for the first item in the list: NUMBER - Number for the first item; converted as needed.
TYPE	Type of bullets to be used in the list: 1 - Bullet with numbers. a - Bullet with small letters. A - Bullet with capital letters. i - Bullet with small Roman numerals. I - Bullet with large Roman numerals.
Elements allowed within:
LI

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


OPTION

Description:
The OPTION element is used to represent a single choice for a MENU.

Minimum attributes:
<OPTION>

Maximum attributes:
<OPTION SELECTED VALUE=cdata>

Attribute reference:

SELECTED	The item is initially selected.
VALUE	Value to be used when selected.
Elements allowed within:
Not Applicable

Allowed within elements:
SELECT

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


P

Description:
The P element is used to define a paragraph. The exact meaning, and subsequent rendering, is not defined and may be a function of other elements, style sheets, etc.

Minimum attributes:
<P>

Maximum attributes:
<P ALIGN=left|center|right>

Attribute reference:

ALIGN	Horizontal alignment of the paragraph: left - Content is rendered flush with the left margin. center - Content is centered between margins. right - Content is rendered flush with the right margin.
Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
ADDRESS   BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


PARAM

Description:
The PARAM element is used within an APPLET in order to pass parameters to the JAVA class.

Minimum attributes:
<PARAM>

Maximum attributes:
<PARAM NAME=nmtoken VALUE=cdata>

Attribute reference:

NAME	Name for the parameter.
VALUE	Value for the parameter.
Elements allowed within:
Not Applicable

Allowed within elements:
APPLET

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


PLAINTEXT

Description:
The PLAINTEXT element specifies that the enclosed text should be rendered in a fixed-width font and that whitespace should be interpreted literally. Note that the PLAINTEXT element has effectively been superseded by PRE and is only included for backwards compatibility.

Minimum attributes:
<PLAINTEXT>

Maximum attributes:
<PLAINTEXT>

Attribute reference:
Not Applicable

Elements allowed within:
Not Applicable

Allowed within elements:
HTML

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


PRE

Description:
The PRE container element specifies that the enclosed text should be rendered in a fixed-width font and that whitespace should be interpreted literally.

Minimum attributes:
<PRE>

Maximum attributes:
<PRE WIDTH=number>

Attribute reference:

WIDTH	Number of character to try to display.
Elements allowed within:
A   APPLET   B   BASEFONT   BR   CITE   CODE   DFN   EM   I   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   STRIKE   STRONG   TEXTAREA   TT   U   VAR

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


SAMP

Description:
The SAMP container element denotes that the character rendering of the enclosed text represents output from programs, scripts, etc.

Minimum attributes:
<SAMP>

Maximum attributes:
<SAMP>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


SCRIPT

Description:
The SCRIPT container element allows for the inclusion of an inline script that a script aware browser may interpret. Current widespread scripting languages include Javascript and Vbscript.

Minimum attributes:
<SCRIPT>

Maximum attributes:
<SCRIPT>

Attribute reference:
Not Applicable

Elements allowed within:
Not Applicable

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   HEAD   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


SELECT

Description:
The SELECT container element is used to create a single or multiple choice MENU. You may also specify an image and select hot zones for each of the OPTION elements.

Minimum attributes:
<SELECT>

Maximum attributes:
<SELECT MULTIPLE NAME=cdata SIZE=number>

Attribute reference:

MULTIPLE	Specifies that the menu is multiple vs. single choice.
NAME	Assigns a name to the field data when submitting.
SIZE	Size of the SELECT area.
Elements allowed within:
OPTION

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


SMALL

Description:
The SMALL container element specifies that physical rendering of the enclosed text should be changed to smaller font, compared with the current font.

Minimum attributes:
<SMALL>

Maximum attributes:
<SMALL>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


STRIKE

Description:
The STRIKE container element denotes that the enclosed text should be displayed in a strike-through style.

Minimum attributes:
<STRIKE>

Maximum attributes:
<STRIKE>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


STRONG

Description:
The STRONG container element denotes that the character rendering of the enclosed text should be changed to represent strong typographic emphasis, usually rendered in bold.

Minimum attributes:
<STRONG>

Maximum attributes:
<STRONG>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


STYLE

Description:
The STYLE container element provides a means for including rendering information using a specified style notation. Information in the STYLE overrides client defaults and that of linked style sheets.

Minimum attributes:
<STYLE>

Maximum attributes:
<STYLE>

Attribute reference:
Not Applicable

Elements allowed within:
Not Applicable

Allowed within elements:
HEAD

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


SUB

Description:
The SUB container element denotes that the physical rendering of the enclosed text should be changed to subscript style.

Minimum attributes:
<SUB>

Maximum attributes:
<SUB>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


SUP

Description:
The SUP container element denotes that the physical rendering of the enclosed text should be changed to a superscript style.

Minimum attributes:
<SUP>

Maximum attributes:
<SUP>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


TABLE

Description:
The TABLE container element is used to define a row/column based TABLE.

Minimum attributes:
<TABLE>

Maximum attributes:
<TABLE ALIGN=left|center|right BORDER=number CELLPADDING=number CELLSPACING=number WIDTH=cdata>

Attribute reference:

ALIGN	Horizontal alignment of the table: left - Table is rendered flush with the left margin. center - Table is rendered centered between the margins. right - Table is rendered flush with the right margin.
BORDER	Width of the border surrounding the TABLE.
CELLPADDING	Spacing within cells.
CELLSPACING	Spacing in between cells.
WIDTH	Width of the table in standard units.
Elements allowed within:
CAPTION   TR

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


TD

Description:
The TD element is used to define a table data cell.

Minimum attributes:
<TD>

Maximum attributes:
<TD ALIGN=left|center|right COLSPAN=number HEIGHT=number NOWRAP ROWSPAN=number VALIGN=top|middle|bottom WIDTH=number>

Attribute reference:

ALIGN	Horizontal alignment of cell contents: left - Content is flush with the left edge of the cell. center - Content is centered within the cell. right - Content is flush with the right edge of the cell.
COLSPAN	Number of columns spanned by this cell.
HEIGHT	Height of the cell in pixels.
NOWRAP	Disables text wrapping within the cell.
ROWSPAN	Number of rows spanned by this cell.
VALIGN	Vertical alignment of material in this cell:  top - Content is flush with the top edge of the cell. middle - Content is centered in the cell. bottom - Content is flush with the bottom edge of the cell.
WIDTH	Width of the cell in pixels.
Elements allowed within:
A   ADDRESS   APPLET   B   BASEFONT   BIG   BLOCKQUOTE   BR   CENTER   CITE   CODE   DFN   DIR   DIV   DL   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   HR   I   IMG   INPUT   ISINDEX   KBD   LISTING   MAP   MENU   OL   P   PRE   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TABLE   TEXTAREA   TT   U   UL   VAR   XMP

Allowed within elements:
TR

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


TEXTAREA

Description:
The TEXTAREA container element provides a method for users to enter more than one line of text. Enclosed text is used to initialize the field, it may contain SGML entities (eg, for accented characters) but is otherwise treated literally.

Minimum attributes:
<TEXTAREA>

Maximum attributes:
<TEXTAREA COLS=number NAME=cdata ROWS=number>

Attribute reference:

COLS	Visible number of columns.
NAME	Assigns a name to the field data when submitting.
ROWS	Visible number of rows.
Elements allowed within:
Not Applicable

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


TEXTFLOW

Description:
The TEXTFLOW element is a hack to get around the problems of SGML with mixed content.

Minimum attributes:
<TEXTFLOW>

Maximum attributes:
<TEXTFLOW>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
APPLET

Tag requirements:
Open: Optional
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


TH

Description:
The TH element is used to define a table header cell.

Minimum attributes:
<TH>

Maximum attributes:
<TH ALIGN=left|center|right COLSPAN=number HEIGHT=number NOWRAP ROWSPAN=number VALIGN=top|middle|bottom WIDTH=number>

Attribute reference:

ALIGN	Horizontal alignment of cell contents: left - Content is flush with the left edge of the cell. center - Content is centered within the cell. right - Content is flush with the right edge of the cell.
COLSPAN	Number of columns spanned by this cell.
HEIGHT	Height of the cell in pixels.
NOWRAP	Disables text wrapping within the cell.
ROWSPAN	Number of rows spanned by this cell.
VALIGN	Vertical alignment of material in this cell: top - Content is flush with the top dge of the cell. middle - Content is centered in the cell. bottom - Content is flush with the bottom edge of the cell.
WIDTH	Width of the cell in pixels.
Elements allowed within:
A   ADDRESS   APPLET   B   BASEFONT   BIG   BLOCKQUOTE   BR   CENTER   CITE   CODE   DFN   DIR   DIV   DL   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   HR   I   IMG   INPUT   ISINDEX   KBD   LISTING   MAP   MENU   OL   P   PRE   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TABLE   TEXTAREA   TT   U   UL   VAR   XMP

Allowed within elements:
TR

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


TITLE

Description:
The TITLE container element should be used to identify the contents of the document in a global context. Every HTML document must contain a TITLE element. In fact the minimal HTML document consists of the TITLE element alone.

Minimum attributes:
<TITLE>

Maximum attributes:
<TITLE>

Attribute reference:
Not Applicable

Elements allowed within:
Not Applicable

Allowed within elements:
HEAD

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


TR

Description:
The TR element acts as a container for a row of table cells that are defined by TH and TD elements.

Minimum attributes:
<TR>

Maximum attributes:
<TR ALIGN=left|center|right VALIGN=top|middle|bottom>

Attribute reference:

ALIGN	Horizontal alignment of cell contents: left - Content is flush with the left edge of the cell. center - Content is centered within the cell. right - Content is flush with the right edge of the cell.
VALIGN	Vertical alignment of material in this cell: top - Content is flush with the top edge of the cell  middle - Content is centered in the cell  bottom - Content is flush with the bottom edge of the cell.
Elements allowed within:
TD TH

Allowed within elements:
TABLE

Tag requirements:
Open: Required
Close: Optional

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


TT

Description:
The TT container element denotes that the enclosed text represents teletype text and the physical rendering should be changed to a monospaced font.

Minimum attributes:
<TT>

Maximum attributes:
<TT>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


U

Description:
The U container element denotes that the physical rendering of the enclosed text should be changed to an underlined style.

Minimum attributes:
<U>

Maximum attributes:
<U>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET   B   BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


UL

Description:
The UL container element is used to create an unordered list of items.

Minimum attributes:
<UL>

Maximum attributes:
<UL COMPACT TYPE=disc|square|circle>

Attribute reference:

COMPACT	Indicates the browser should use reduced interim spacing.
TYPE	Type of bullets to be used in the list: disc - Bullet with solid discs. square - Bullet with squares. circle - Bullet with open circles.
Elements allowed within:
LI

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


VAR

Description:
The VAR container element denotes that the character rendering of the enclosed text should be changed to represent a variable name or argument to a program.

Minimum attributes:
<VAR>

Maximum attributes:
<VAR>

Attribute reference:
Not Applicable

Elements allowed within:
A   APPLET    B      BASEFONT   BIG   BR   CITE   CODE   DFN   EM   FONT   I   IMG   INPUT   KBD   MAP   SAMP   SCRIPT   SELECT   SMALL   STRIKE   STRONG   SUB   SUP   TEXTAREA   TT   U   VAR

Allowed within elements:
A   ADDRESS   APPLET   B   BIG   BLOCKQUOTE   BODY   CAPTION   CENTER   CITE   CODE   DD   DFN   DIV   DT   EM   FONT   FORM   H1   H2   H3   H4   H5   H6   I   KBD   LI   P   PRE   SAMP   SMALL   STRIKE   STRONG   SUB   SUP   TD   TH   TT   U   VAR

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


XMP

Description:
The XMP container element denotes that the enclosed text represents an example which should be rendered in a fixed-width font. The whitespace should be interpreted literally. Note that the XMP element has effectively been superseded by PRE and is only included for backwards compatibility.

Minimum attributes:
<XMP>

Maximum attributes:
<XMP>

Attribute reference:
Not Applicable

Elements allowed within:
Not Applicable

Allowed within elements:
BLOCKQUOTE   BODY   CENTER   DD   DIV   FORM   LI   TD   TH

Tag requirements:
Open: Required
Close: Required

Copyright © 1996 by Sean Bolt <sbolt@pobox.com>


Colours
Colors

Colors in HTML come in one of two varieties; RGB and named.

RGB values are used to exactly control the rendered color and are written in the form #rrggbb where rr, gg, and bb which are the red, green and blue components respectively. They are denoted as a two digit hex byte from 00-FF. The advantage of this is that you have exact control over the color. The drawback is that humans (at least the normal ones) have a hard time remembering that that #dc143c is crimson.

The other option is to use a human readable name such as cyan. The advantages are obvious as the name lets you more readily envision the final color (though what blanched almond looks like is open to interpretation). The main drawback of the named model is that olive may be defined as #808000 on one machine and #808010 on another. Albeit, this is primarily a problem when you talk about cross platform viewing (eg, viewing a page on a Sparc that was designed in Windows).

For page designers that want consistent appearances for everyone viewing their design, RGB is the way to go.


HTML Reference
 HTML 3.2 Element Listing

This HTML Reference was supplied to Sausage Software by courtesy of Sean Bolt . (sbolt@pobox.com)

A

A

ADDRESS

APPLET

AREA

B

B

BASE

BASEFONT

BIG

BLOCKQUOTE

BODY

BR

C

CAPTION

CENTER

CITE

CODE

D

DD

DFN

DIR

DIV

DL

DT

E

EM

F

FONT

FORM

G

H

H1

H2

H3

H4

H5

H6

HEAD

HR

HTML

I

I

IMG

INPUT

ISINDEX

J

K

KBD

L

LI

LINK

LISTING

M

MAP

MENU

META

N

O

OL

OPTION

P

P

PARAM

PLAINTEXT

PRE

Q

R

S

SAMP

SCRIPT

SELECT

SMALL

STRIKE

STRONG

STYLE

SUB

SUP

T

TABLE

TD

TEXTAREA

TEXTFLOW

TH

TITLE

TR

TT

U

U

UL

V

VAR

W

X

XMP

Y

Z